"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tenantFactory = void 0;
const typeorm_extension_1 = require("typeorm-extension");
const class_transformer_1 = require("class-transformer");
const tenant_entity_1 = require("../repositories/tenant.entity");
const tenant_status_enum_1 = require("../repositories/vo/tenant-status.enum");
const functions_1 = require("./utils/functions");
const faker_1 = require("@faker-js/faker");
exports.tenantFactory = (0, typeorm_extension_1.setSeederFactory)(tenant_entity_1.TenantEntity, (_, meta) => {
    const plainTenant = {
        tenantName: faker_1.faker.company.name(),
        tenantStatus: tenant_status_enum_1.TenantStatus.ACTIVE,
        tenantFriendlyIdentifier: faker_1.faker.company.name(),
        ownerId: '',
    };
    if ((0, functions_1.isMeta)(meta)) {
        plainTenant.ownerId = meta.ownerId;
    }
    return (0, class_transformer_1.plainToInstance)(tenant_entity_1.TenantEntity, plainTenant);
});
//# sourceMappingURL=tenant.factory.js.map