"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantEntity = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const typeorm_2 = require("@softkit/typeorm");
const class_transformer_1 = require("class-transformer");
const validation_1 = require("@softkit/validation");
const tenant_status_enum_1 = require("./vo/tenant-status.enum");
let TenantEntity = class TenantEntity extends typeorm_2.BaseEntityHelper {
};
exports.TenantEntity = TenantEntity;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsUUIDLocalized)(),
    tslib_1.__metadata("design:type", String)
], TenantEntity.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: false, length: 127 }),
    (0, typeorm_1.Index)({ unique: true }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsStringCombinedLocalized)({
        minLength: 1,
        maxLength: 127,
    }),
    tslib_1.__metadata("design:type", String)
], TenantEntity.prototype, "tenantFriendlyIdentifier", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: false, length: 127 }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsStringCombinedLocalized)({
        minLength: 1,
        maxLength: 127,
    }),
    tslib_1.__metadata("design:type", String)
], TenantEntity.prototype, "tenantName", void 0);
tslib_1.__decorate([
    (0, class_transformer_1.Expose)(),
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: tenant_status_enum_1.TenantStatus,
        nullable: false,
    }),
    (0, validation_1.IsStringEnumLocalized)(tenant_status_enum_1.TenantStatus),
    tslib_1.__metadata("design:type", String)
], TenantEntity.prototype, "tenantStatus", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: false }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsUUIDLocalized)(),
    tslib_1.__metadata("design:type", String)
], TenantEntity.prototype, "ownerId", void 0);
exports.TenantEntity = TenantEntity = tslib_1.__decorate([
    (0, typeorm_1.Entity)('tenants')
], TenantEntity);
//# sourceMappingURL=tenant.entity.js.map