"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserProfile = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const typeorm_2 = require("@softkit/typeorm");
const validation_1 = require("@softkit/validation");
const class_transformer_1 = require("class-transformer");
const user_profile_status_enum_1 = require("./vo/user-profile-status.enum");
let UserProfile = class UserProfile extends typeorm_2.BaseEntityHelper {
};
exports.UserProfile = UserProfile;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsUUIDLocalized)(),
    tslib_1.__metadata("design:type", String)
], UserProfile.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: String, unique: true, nullable: false, length: 320 }),
    (0, typeorm_1.Index)({ unique: true }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsEmailLocalized)(),
    tslib_1.__metadata("design:type", String)
], UserProfile.prototype, "email", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 256 }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.PasswordLocalized)(),
    tslib_1.__metadata("design:type", String)
], UserProfile.prototype, "password", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: false, length: 256 }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsStringCombinedLocalized)({ minLength: 1, maxLength: 256 }),
    tslib_1.__metadata("design:type", String)
], UserProfile.prototype, "firstName", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: false, length: 256 }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsStringCombinedLocalized)({ minLength: 1, maxLength: 256 }),
    tslib_1.__metadata("design:type", String)
], UserProfile.prototype, "lastName", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: user_profile_status_enum_1.UserProfileStatus,
    }),
    (0, class_transformer_1.Expose)(),
    (0, validation_1.IsStringEnumLocalized)(user_profile_status_enum_1.UserProfileStatus),
    tslib_1.__metadata("design:type", String)
], UserProfile.prototype, "status", void 0);
exports.UserProfile = UserProfile = tslib_1.__decorate([
    (0, typeorm_1.Entity)('user_profile')
], UserProfile);
//# sourceMappingURL=user-profile.entity.js.map