"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantSeeder = void 0;
const tenant_entity_1 = require("../repositories/tenant.entity");
const user_profile_entity_1 = require("../repositories/user-profile.entity");
class TenantSeeder {
    async run(dataSource, factoryManager) {
        const repository = dataSource.getRepository(tenant_entity_1.TenantEntity);
        const userProfileRepository = dataSource.getRepository(user_profile_entity_1.UserProfile);
        const count = await repository.count();
        const userProfileCount = await userProfileRepository.count();
        if (count === 0 && userProfileCount === 0) {
            const userProfileFactory = factoryManager.get(user_profile_entity_1.UserProfile);
            const owner = await userProfileFactory.save();
            const tenantFactory = factoryManager.get(tenant_entity_1.TenantEntity);
            tenantFactory.setMeta({ ownerId: owner.id });
            await tenantFactory.save();
        }
    }
}
exports.TenantSeeder = TenantSeeder;
//# sourceMappingURL=tenant.seeder.js.map